Qt 5.9 | Qt Labs Platform | QML Types | StandardPaths QML Type

Qt 5.9.2 Reference Documentation

# StandardPaths QML Type

Provides access to the standard system paths. More...

Import Statement: | import Qt.labs.platform 1.0
Since: | Qt 5.8

- List of all members, including inherited members

## Methods

- string displayName(StandardLocation type)
- url findExecutable(string executableName, list<string> paths)
- url locate(StandardLocation type, string fileName, LocateOptions options)
- list<url> locateAll(StandardLocation type, string fileName, LocateOptions options)
- void setTestModeEnabled(bool testMode)
- list<url> standardLocations(StandardLocation type)
- url writableLocation(StandardLocation type)

## Detailed Description

The StandardPaths singleton type provides methods for querying the standard system paths. The standard paths are mostly useful in conjunction with the FileDialog and FolderDialog types.

      FileDialog {
          folder: StandardPaths.writableLocation(StandardPaths.DocumentsLocation)
      }

Note: Types in Qt.labs modules are not guaranteed to remain compatible in future versions.

See also FileDialog, FolderDialog, and QStandardPaths.

## Method Documentation

string displayName(StandardLocation type)

See also QStandardPaths::displayName().

url findExecutable(string executableName, list<string> paths)

See also QStandardPaths::findExecutable().

url locate(StandardLocation type, string fileName, LocateOptions options = LocateFile)

See also QStandardPaths::locate().

list<url> locateAll(StandardLocation type, string fileName, LocateOptions options = LocateFile)

See also QStandardPaths::locateAll().

void setTestModeEnabled(bool testMode)

See also QStandardPaths::setTestModeEnabled().

list<url> standardLocations(StandardLocation type)

See also QStandardPaths::standardLocations().

url writableLocation(StandardLocation type)

See also QStandardPaths::writableLocation().